%define debug_dir       /usr/lib/debug/%{_libdir}
%define src_debug_dir   /usr/src/debug

Name:		json-c
Version:	0.11
Release:	1%{?dist}
Summary:	A JSON implementation in C
Group:		Development/Libraries
License:	MIT
URL:		https://github.com/json-c/json-c/wiki
Source0:	https://github.com/downloads/json-c/json-c/json-c-%{version}.tar.gz
Patch1:         json-c-0.11-werror.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
JSON-C implements a reference counting object model that allows you to easily
construct JSON objects in C, output them as JSON formatted strings and parse
JSON formatted strings back into the C representation of JSON objects.

%package libjson
Summary:        JSON shared lib
Group:          System/Libraries

%description libjson
This package includes the JSON library.

%package devel
Summary:	Development headers and library for json-c
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains the development headers and library for json-c.

%package doc
Summary:        Reference manual for json-c
Group:          Documentation
BuildArch:      noarch

%description doc
This package contains documentation for json-c.

%package debug
Summary:        Debug info for json-c
Group:          Development/Debug
BuildArch:      noarch

%description debug
This package contains debug information for json-c.

%prep
%setup -q
%patch1 -p0 -b .werror

%build
%configure --enable-shared --disable-static
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README README.html
%{_libdir}/libjson.so.*
%{_libdir}/libjson-c.so.*
%{_libdir}/libjson.la
%{_libdir}/libjson-c.la

%files devel
%defattr(-,root,root,-)
%{_includedir}/json
%{_includedir}/json-c
%{_libdir}/libjson.so
%{_libdir}/libjson-c.so
%{_libdir}/pkgconfig/json.pc
%{_libdir}/pkgconfig/json-c.pc

%files debug
%{debug_dir}/libjson-c.so*
%{debug_dir}/libjson.so*
#%{src_debug_dir}/json-c-0.11/*
%{_libdir}/libjson-c.la

%changelog
* Thu Aug 08 2013 Kyle Suarez <kds124@nbcs.rutgers.edu> - 0.11-1.ru
- Upgrade to the latest version
- Includes the devel package
- Patch for -Werror
